[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [DeviceConstellationObserver](./index.md)

# DeviceConstellationObserver

`interface DeviceConstellationObserver` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/Devices.kt#L106)

Allows monitoring constellation state.

### Functions

| Name | Summary |
|---|---|
| [onDevicesUpdate](on-devices-update.md) | `abstract fun onDevicesUpdate(constellation: `[`ConstellationState`](../-constellation-state/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) |
